Changeset 2969


Ignore:
Timestamp:
Oct 15, 2013 9:53:05 AM (7 years ago)
Author:
tkr
Message:

Re-running the autotools

File:
1 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Lapack/trunk/configure

    r2908 r2969  
    10821082                          (implies --disable-shared)
    10831083  --enable-debug-lapack compile project Lapack with debug compiler flags
    1084   --enable-doscompile     Under Cygwin, compile so that executables run under
    1085                           DOS. Set to mingw to use gcc/g++/ld with
    1086                           -mno-cygwin. Set to msvc to use cl/link (or
    1087                           icl/link). Default when mentioned: mingw. Default
    1088                           when not mentioned: disabled.
     1084
     1085  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10891086  --disable-pkg-config    disable use of pkg-config (if available)
    10901087  --disable-interpackage-dependencies
     
    18891886
    18901887# Get the name of the Fortran compiler and appropriate compiler options
    1891 case $build in
     1888
     1889
     1890  # for backward compatibility
     1891  # Check whether --enable-doscompile or --disable-doscompile was given.
     1892if test "${enable_doscompile+set}" = set; then
     1893  enableval="$enable_doscompile"
     1894  enable_doscompile=$enableval
     1895else
     1896  enable_doscompile=no
     1897fi;
     1898
     1899  # Check whether --enable-msvc or --disable-msvc was given.
     1900if test "${enable_msvc+set}" = set; then
     1901  enableval="$enable_msvc"
     1902  enable_msvc=$enableval
     1903else
     1904  enable_msvc=no
     1905     if test "$enable_doscompile" = msvc ; then
     1906       enable_msvc=yes
     1907     elif test "$enable_doscompile" != no ; then
     1908       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1909echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1910   { (exit 1); exit 1; }; }
     1911     fi
     1912
     1913fi;
     1914
     1915  if test "$enable_msvc" = yes; then
     1916    case $build in
     1917      *-cygwin* | *-mingw*) ;;
     1918      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1919echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1920   { (exit 1); exit 1; }; } ;;
     1921    esac
     1922  fi
     1923
     1924
     1925 case $build in
    18921926  *-mingw*)
    18931927    if test "${LD+set}" = set; then :; else
     
    18961930    ;;
    18971931 esac
    1898  case $enable_doscompile in
    1899    msvc)
    1900      if test "x${LD+set}" = xset; then :; else
    1901        LD=link
    1902      fi
    1903      ;;
    1904  esac
    1905 
    1906 
    1907  # Check whether --enable-doscompile or --disable-doscompile was given.
    1908 if test "${enable_doscompile+set}" = set; then
    1909   enableval="$enable_doscompile"
    1910   if test "$enable_doscompile" != no; then
    1911      case $build in
    1912        *-cygwin* | *-mingw*) ;;
    1913        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1914 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
     1932 if test $enable_msvc = yes ; then
     1933   if test "x${LD+set}" = xset; then :; else
     1934     LD=link
     1935   fi
     1936 fi
     1937
     1938
     1939# Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
     1940if test "${enable_static_standardlibs+set}" = set; then
     1941  enableval="$enable_static_standardlibs"
     1942  case "$enableval" in
     1943     no | yes | auto ) ;;
     1944     *)
     1945       { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
     1946echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    19151947   { (exit 1); exit 1; }; } ;;
    1916      esac
    1917    fi
    1918 else
    1919   enable_doscompile=no
     1948   esac
     1949   use_static_standardlibs=$enableval
     1950else
     1951  use_static_standardlibs=no
    19201952fi;
    1921  case "$enable_doscompile" in
    1922    mingw)
    1923      case $build in
    1924        *-mingw*) enable_doscompile=no ;;
    1925      esac
    1926      ;;
    1927    msvc|no) ;;
    1928    yes) enable_doscompile=mingw ;;
    1929    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1930                     Try configure --help=recursive." >&5
    1931 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1932                     Try configure --help=recursive." >&2;}
    1933    { (exit 1); exit 1; }; }
    1934       ;;
    1935   esac
    1936   if test "$enable_doscompile" != no ; then
    1937     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1938 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1939   fi
     1953
    19401954
    19411955
     
    19801994case $build in
    19811995  *-cygwin* | *-mingw*)
    1982              if test "$enable_doscompile" = msvc ; then
    1983                comps="icl cl"
     1996             if test "$enable_msvc" = yes ; then
     1997               comps="icl cl gcc"
    19841998             else
    1985                comps="gcc cl"
     1999               comps="gcc icl cl"
    19862000             fi ;;
    19872001  *-*-solaris*)
     
    28362850            ;;
    28372851        esac
    2838         case $enable_doscompile in
    2839           mingw)
    2840             CFLAGS="-mno-cygwin"
    2841             cat >conftest.$ac_ext <<_ACEOF
    2842 /* confdefs.h.  */
    2843 _ACEOF
    2844 cat confdefs.h >>conftest.$ac_ext
    2845 cat >>conftest.$ac_ext <<_ACEOF
    2846 /* end confdefs.h.  */
    2847 
    2848 int
    2849 main ()
    2850 {
    2851 int i=0; i++;
    2852   ;
    2853   return 0;
    2854 }
    2855 _ACEOF
    2856 rm -f conftest.$ac_objext conftest$ac_exeext
    2857 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2858   (eval $ac_link) 2>conftest.er1
    2859   ac_status=$?
    2860   grep -v '^ *+' conftest.er1 >conftest.err
    2861   rm -f conftest.er1
    2862   cat conftest.err >&5
    2863   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2864   (exit $ac_status); } &&
    2865          { ac_try='test -z "$ac_c_werror_flag"
    2866                          || test ! -s conftest.err'
    2867   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2868   (eval $ac_try) 2>&5
    2869   ac_status=$?
    2870   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2871   (exit $ac_status); }; } &&
    2872          { ac_try='test -s conftest$ac_exeext'
    2873   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2874   (eval $ac_try) 2>&5
    2875   ac_status=$?
    2876   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2877   (exit $ac_status); }; }; then
    2878   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2879 else
    2880   echo "$as_me: failed program was:" >&5
    2881 sed 's/^/| /' conftest.$ac_ext >&5
    2882 
    2883 fi
    2884 rm -f conftest.err conftest.$ac_objext \
    2885       conftest$ac_exeext conftest.$ac_ext
    2886             CFLAGS=
    2887           ;;
    2888         esac
    28892852    esac
    28902853  fi
     
    30773040    CFLAGS="$OPT_CFLAGS"
    30783041  fi
     3042
    30793043else
    30803044  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    32273191  clang* ) ;;
    32283192  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3229     case $build in
     3193
     3194 case $build in
    32303195  *-mingw*)
    32313196    if test "${LD+set}" = set; then :; else
     
    32343199    ;;
    32353200 esac
    3236  case $enable_doscompile in
    3237    msvc)
    3238      if test "x${LD+set}" = xset; then :; else
    3239        LD=link
    3240      fi
    3241      ;;
    3242  esac
     3201 if test $enable_msvc = yes ; then
     3202   if test "x${LD+set}" = xset; then :; else
     3203     LD=link
     3204   fi
     3205 fi
    32433206
    32443207    ;;
    32453208esac
     3209
     3210# check whether to add flags for static linking against standard libraries to LDFLAGS
     3211if test x$use_static_standardlibs != xno ; then
     3212  case $build in
     3213    *-mingw*)
     3214      static_standardlib_flag=-static
     3215      ;;
     3216    *)
     3217      static_standardlib_flag=-static-libgcc
     3218      ;;
     3219  esac
     3220  case " $LDFLAGS " in
     3221    *" $static_standardlib_flag "* ) ;;
     3222    *)
     3223    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3224echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3225    coin_save_LDFLAGS="$LDFLAGS"
     3226    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3227    cat >conftest.$ac_ext <<_ACEOF
     3228/* confdefs.h.  */
     3229_ACEOF
     3230cat confdefs.h >>conftest.$ac_ext
     3231cat >>conftest.$ac_ext <<_ACEOF
     3232/* end confdefs.h.  */
     3233
     3234int
     3235main ()
     3236{
     3237int i=0;
     3238  ;
     3239  return 0;
     3240}
     3241_ACEOF
     3242rm -f conftest.$ac_objext conftest$ac_exeext
     3243if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3244  (eval $ac_link) 2>conftest.er1
     3245  ac_status=$?
     3246  grep -v '^ *+' conftest.er1 >conftest.err
     3247  rm -f conftest.er1
     3248  cat conftest.err >&5
     3249  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3250  (exit $ac_status); } &&
     3251         { ac_try='test -z "$ac_c_werror_flag"
     3252                         || test ! -s conftest.err'
     3253  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3254  (eval $ac_try) 2>&5
     3255  ac_status=$?
     3256  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3257  (exit $ac_status); }; } &&
     3258         { ac_try='test -s conftest$ac_exeext'
     3259  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3260  (eval $ac_try) 2>&5
     3261  ac_status=$?
     3262  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3263  (exit $ac_status); }; }; then
     3264  echo "$as_me:$LINENO: result: yes" >&5
     3265echo "${ECHO_T}yes" >&6
     3266else
     3267  echo "$as_me: failed program was:" >&5
     3268sed 's/^/| /' conftest.$ac_ext >&5
     3269
     3270echo "$as_me:$LINENO: result: no" >&5
     3271echo "${ECHO_T}no" >&6
     3272       LDFLAGS="$coin_save_LDFLAGS"
     3273       if test $use_static_standardlibs = yes ; then
     3274         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3275echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3276   { (exit 1); exit 1; }; }
     3277       fi
     3278
     3279fi
     3280rm -f conftest.err conftest.$ac_objext \
     3281      conftest$ac_exeext conftest.$ac_ext
     3282    ;;
     3283  esac
     3284fi
    32463285
    32473286ac_ext=c
     
    32543293case $build in
    32553294  *-cygwin* | *-mingw*)
    3256      if test "$enable_doscompile" = msvc ; then
    3257        coin_f77_comps="ifort fl32 compile_f2c"
     3295     if test "$enable_msvc" = yes ; then
     3296       coin_f77_comps="ifort fl32 compile_f2c gfortran g95 g77"
    32583297     else
    32593298       coin_f77_comps="gfortran ifort g95 g77 fl32 compile_f2c"
     
    32653304  *) coin_f77_comps="xlf_r fort77 gfortran ifort g95 f77 g77 pgf90 pgf77 ifc frt af77" ;;
    32663305 esac
     3306
    32673307
    32683308
     
    34803520
    34813521# Provide some information about the compiler.
    3482 echo "$as_me:3482:" \
     3522echo "$as_me:3522:" \
    34833523     "checking for Fortran 77 compiler version" >&5
    34843524ac_compiler=`set X $ac_compile; echo $2`
     
    36493689    coin_add_fflags="-pipe"
    36503690    coin_dbg_fflags="-g -O0"
    3651     case $enable_doscompile in
    3652       mingw)
    3653         FFLAGS="-mno-cygwin"
    3654         cat >conftest.$ac_ext <<_ACEOF
    3655       program main
    3656       write(*,*) 'Hello world'
    3657       end
    3658 _ACEOF
    3659 rm -f conftest.$ac_objext conftest$ac_exeext
    3660 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    3661   (eval $ac_link) 2>conftest.er1
    3662   ac_status=$?
    3663   grep -v '^ *+' conftest.er1 >conftest.err
    3664   rm -f conftest.er1
    3665   cat conftest.err >&5
    3666   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3667   (exit $ac_status); } &&
    3668          { ac_try='test -z "$ac_f77_werror_flag"
    3669                          || test ! -s conftest.err'
    3670   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3671   (eval $ac_try) 2>&5
    3672   ac_status=$?
    3673   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3674   (exit $ac_status); }; } &&
    3675          { ac_try='test -s conftest$ac_exeext'
    3676   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    3677   (eval $ac_try) 2>&5
    3678   ac_status=$?
    3679   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    3680   (exit $ac_status); }; }; then
    3681   coin_add_fflags="-mno-cygwin $coin_add_fflags"
    3682 else
    3683   echo "$as_me: failed program was:" >&5
    3684 sed 's/^/| /' conftest.$ac_ext >&5
    3685 
    3686 fi
    3687 rm -f conftest.err conftest.$ac_objext \
    3688       conftest$ac_exeext conftest.$ac_ext
    3689         FFLAGS=
    3690       ;;
    3691     esac
    36923691  else
    36933692    case $build in
     
    38573856    FFLAGS="$OPT_FFLAGS"
    38583857  fi
     3858
    38593859else
    38603860  FFLAGS="$FFLAGS $ADD_FFLAGS"
     
    39813981case "$F77" in
    39823982  ifort* | */ifort* | IFORT* | */IFORT*)
    3983     case $build in
     3983
     3984 case $build in
    39843985  *-mingw*)
    39853986    if test "${LD+set}" = set; then :; else
     
    39883989    ;;
    39893990 esac
    3990  case $enable_doscompile in
    3991    msvc)
    3992      if test "x${LD+set}" = xset; then :; else
    3993        LD=link
    3994      fi
    3995      ;;
    3996  esac
     3991 if test $enable_msvc = yes ; then
     3992   if test "x${LD+set}" = xset; then :; else
     3993     LD=link
     3994   fi
     3995 fi
    39973996
    39983997    ;;
    39993998esac
     3999
     4000# check whether to add flag for static linking against standard libraries to LDFLAGS
     4001if test x$use_static_standardlibs != xno ; then
     4002  case $build in
     4003    *-mingw*)
     4004      static_standardlib_flag=-static
     4005      ;;
     4006    *)
     4007      static_standardlib_flag=-static-libgfortran
     4008      ;;
     4009  esac
     4010  case " $LDFLAGS " in
     4011    *" $static_standardlib_flag "* ) ;;
     4012    *)
     4013    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     4014echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     4015    coin_save_LDFLAGS="$LDFLAGS"
     4016    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     4017    cat >conftest.$ac_ext <<_ACEOF
     4018      program main
     4019      integer i
     4020      end
     4021_ACEOF
     4022rm -f conftest.$ac_objext conftest$ac_exeext
     4023if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     4024  (eval $ac_link) 2>conftest.er1
     4025  ac_status=$?
     4026  grep -v '^ *+' conftest.er1 >conftest.err
     4027  rm -f conftest.er1
     4028  cat conftest.err >&5
     4029  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4030  (exit $ac_status); } &&
     4031         { ac_try='test -z "$ac_f77_werror_flag"
     4032                         || test ! -s conftest.err'
     4033  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4034  (eval $ac_try) 2>&5
     4035  ac_status=$?
     4036  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4037  (exit $ac_status); }; } &&
     4038         { ac_try='test -s conftest$ac_exeext'
     4039  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     4040  (eval $ac_try) 2>&5
     4041  ac_status=$?
     4042  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     4043  (exit $ac_status); }; }; then
     4044  echo "$as_me:$LINENO: result: yes" >&5
     4045echo "${ECHO_T}yes" >&6
     4046else
     4047  echo "$as_me: failed program was:" >&5
     4048sed 's/^/| /' conftest.$ac_ext >&5
     4049
     4050echo "$as_me:$LINENO: result: no" >&5
     4051echo "${ECHO_T}no" >&6
     4052       LDFLAGS="$coin_save_LDFLAGS"
     4053       if test $use_static_standardlibs = yes ; then
     4054         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     4055echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     4056   { (exit 1); exit 1; }; }
     4057       fi
     4058
     4059fi
     4060rm -f conftest.err conftest.$ac_objext \
     4061      conftest$ac_exeext conftest.$ac_ext
     4062    ;;
     4063  esac
     4064fi
    40004065
    40014066ac_ext=c
     
    40614126ac_save_FFLAGS=$FFLAGS
    40624127FFLAGS="$FFLAGS $ac_verb"
    4063 (eval echo $as_me:4063: \"$ac_link\") >&5
     4128(eval echo $as_me:4128: \"$ac_link\") >&5
    40644129ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    40654130echo "$ac_f77_v_output" >&5
     
    41394204ac_save_FFLAGS=$FFLAGS
    41404205FFLAGS="$FFLAGS $ac_cv_prog_f77_v"
    4141 (eval echo $as_me:4141: \"$ac_link\") >&5
     4206(eval echo $as_me:4206: \"$ac_link\") >&5
    41424207ac_f77_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
    41434208echo "$ac_f77_v_output" >&5
     
    55215586# Try to autodetect the library for blas based on build system
    55225587  #AC_MSG_CHECKING([default locations for BLAS])
    5523   skip_lblas_check=no
    55245588  case $build in
    55255589    *-sgi-*)
     
    63246388
    63256389    *-cygwin* | *-mingw*)
    6326 # On cygwin, consider -lblas only if doscompile is disabled. The prebuilt
    6327 # library will want to link with cygwin, hence won't run standalone in DOS.
    6328       if test "$enable_doscompile" = mingw; then
    6329         skip_lblas_check=yes
    6330       fi
    63316390      case "$CC" in
    63326391        clang* ) ;;
     
    74927551  esac
    74937552
    7494   if test -z "$use_blas" && test $skip_lblas_check = no; then
     7553  if test -z "$use_blas" ; then
    74957554    echo "$as_me:$LINENO: checking whether -lblas has BLAS" >&5
    74967555echo $ECHO_N "checking whether -lblas has BLAS... $ECHO_C" >&6
     
    1015010209*-*-irix6*)
    1015110210  # Find out which ABI we are using.
    10152   echo '#line 10152 "configure"' > conftest.$ac_ext
     10211  echo '#line 10211 "configure"' > conftest.$ac_ext
    1015310212  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    1015410213  (eval $ac_compile) 2>&5
     
    1262712686   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1262812687   -e 's:$: $lt_compiler_flag:'`
    12629    (eval echo "\"\$as_me:12629: $lt_compile\"" >&5)
     12688   (eval echo "\"\$as_me:12688: $lt_compile\"" >&5)
    1263012689   (eval "$lt_compile" 2>conftest.err)
    1263112690   ac_status=$?
    1263212691   cat conftest.err >&5
    12633    echo "$as_me:12633: \$? = $ac_status" >&5
     12692   echo "$as_me:12692: \$? = $ac_status" >&5
    1263412693   if (exit $ac_status) && test -s "$ac_outfile"; then
    1263512694     # The compiler can only warn and ignore the option if not recognized
     
    1289512954   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1289612955   -e 's:$: $lt_compiler_flag:'`
    12897    (eval echo "\"\$as_me:12897: $lt_compile\"" >&5)
     12956   (eval echo "\"\$as_me:12956: $lt_compile\"" >&5)
    1289812957   (eval "$lt_compile" 2>conftest.err)
    1289912958   ac_status=$?
    1290012959   cat conftest.err >&5
    12901    echo "$as_me:12901: \$? = $ac_status" >&5
     12960   echo "$as_me:12960: \$? = $ac_status" >&5
    1290212961   if (exit $ac_status) && test -s "$ac_outfile"; then
    1290312962     # The compiler can only warn and ignore the option if not recognized
     
    1299913058   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1300013059   -e 's:$: $lt_compiler_flag:'`
    13001    (eval echo "\"\$as_me:13001: $lt_compile\"" >&5)
     13060   (eval echo "\"\$as_me:13060: $lt_compile\"" >&5)
    1300213061   (eval "$lt_compile" 2>out/conftest.err)
    1300313062   ac_status=$?
    1300413063   cat out/conftest.err >&5
    13005    echo "$as_me:13005: \$? = $ac_status" >&5
     13064   echo "$as_me:13064: \$? = $ac_status" >&5
    1300613065   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1300713066   then
     
    1541615475  lt_status=$lt_dlunknown
    1541715476  cat > conftest.$ac_ext <<EOF
    15418 #line 15418 "configure"
     15477#line 15477 "configure"
    1541915478#include "confdefs.h"
    1542015479
     
    1551615575  lt_status=$lt_dlunknown
    1551715576  cat > conftest.$ac_ext <<EOF
    15518 #line 15518 "configure"
     15577#line 15577 "configure"
    1551915578#include "confdefs.h"
    1552015579
     
    1787617935   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1787717936   -e 's:$: $lt_compiler_flag:'`
    17878    (eval echo "\"\$as_me:17878: $lt_compile\"" >&5)
     17937   (eval echo "\"\$as_me:17937: $lt_compile\"" >&5)
    1787917938   (eval "$lt_compile" 2>conftest.err)
    1788017939   ac_status=$?
    1788117940   cat conftest.err >&5
    17882    echo "$as_me:17882: \$? = $ac_status" >&5
     17941   echo "$as_me:17941: \$? = $ac_status" >&5
    1788317942   if (exit $ac_status) && test -s "$ac_outfile"; then
    1788417943     # The compiler can only warn and ignore the option if not recognized
     
    1798018039   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1798118040   -e 's:$: $lt_compiler_flag:'`
    17982    (eval echo "\"\$as_me:17982: $lt_compile\"" >&5)
     18041   (eval echo "\"\$as_me:18041: $lt_compile\"" >&5)
    1798318042   (eval "$lt_compile" 2>out/conftest.err)
    1798418043   ac_status=$?
    1798518044   cat out/conftest.err >&5
    17986    echo "$as_me:17986: \$? = $ac_status" >&5
     18045   echo "$as_me:18045: \$? = $ac_status" >&5
    1798718046   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1798818047   then
     
    1955019609   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1955119610   -e 's:$: $lt_compiler_flag:'`
    19552    (eval echo "\"\$as_me:19552: $lt_compile\"" >&5)
     19611   (eval echo "\"\$as_me:19611: $lt_compile\"" >&5)
    1955319612   (eval "$lt_compile" 2>conftest.err)
    1955419613   ac_status=$?
    1955519614   cat conftest.err >&5
    19556    echo "$as_me:19556: \$? = $ac_status" >&5
     19615   echo "$as_me:19615: \$? = $ac_status" >&5
    1955719616   if (exit $ac_status) && test -s "$ac_outfile"; then
    1955819617     # The compiler can only warn and ignore the option if not recognized
     
    1965419713   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1965519714   -e 's:$: $lt_compiler_flag:'`
    19656    (eval echo "\"\$as_me:19656: $lt_compile\"" >&5)
     19715   (eval echo "\"\$as_me:19715: $lt_compile\"" >&5)
    1965719716   (eval "$lt_compile" 2>out/conftest.err)
    1965819717   ac_status=$?
    1965919718   cat out/conftest.err >&5
    19660    echo "$as_me:19660: \$? = $ac_status" >&5
     19719   echo "$as_me:19719: \$? = $ac_status" >&5
    1966119720   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1966219721   then
     
    2186121920   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2186221921   -e 's:$: $lt_compiler_flag:'`
    21863    (eval echo "\"\$as_me:21863: $lt_compile\"" >&5)
     21922   (eval echo "\"\$as_me:21922: $lt_compile\"" >&5)
    2186421923   (eval "$lt_compile" 2>conftest.err)
    2186521924   ac_status=$?
    2186621925   cat conftest.err >&5
    21867    echo "$as_me:21867: \$? = $ac_status" >&5
     21926   echo "$as_me:21926: \$? = $ac_status" >&5
    2186821927   if (exit $ac_status) && test -s "$ac_outfile"; then
    2186921928     # The compiler can only warn and ignore the option if not recognized
     
    2212922188   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2213022189   -e 's:$: $lt_compiler_flag:'`
    22131    (eval echo "\"\$as_me:22131: $lt_compile\"" >&5)
     22190   (eval echo "\"\$as_me:22190: $lt_compile\"" >&5)
    2213222191   (eval "$lt_compile" 2>conftest.err)
    2213322192   ac_status=$?
    2213422193   cat conftest.err >&5
    22135    echo "$as_me:22135: \$? = $ac_status" >&5
     22194   echo "$as_me:22194: \$? = $ac_status" >&5
    2213622195   if (exit $ac_status) && test -s "$ac_outfile"; then
    2213722196     # The compiler can only warn and ignore the option if not recognized
     
    2223322292   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    2223422293   -e 's:$: $lt_compiler_flag:'`
    22235    (eval echo "\"\$as_me:22235: $lt_compile\"" >&5)
     22294   (eval echo "\"\$as_me:22294: $lt_compile\"" >&5)
    2223622295   (eval "$lt_compile" 2>out/conftest.err)
    2223722296   ac_status=$?
    2223822297   cat out/conftest.err >&5
    22239    echo "$as_me:22239: \$? = $ac_status" >&5
     22298   echo "$as_me:22298: \$? = $ac_status" >&5
    2224022299   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    2224122300   then
     
    2518325242echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2518425243coin_link_input_cmd="$LN_S"
    25185 if test "$enable_doscompile" = mingw; then
    25186   coin_link_input_cmd=cp
    25187 fi
    2518825244case "$CC" in
    2518925245  clang* ) ;;
Note: See TracChangeset for help on using the changeset viewer.